package com.yc.ship.module.trade.service.smsSendconfig;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.trade.controller.admin.smsSendconfig.vo.SmsSendconfigPageReqVO;
import com.yc.ship.module.trade.controller.admin.smsSendconfig.vo.SmsSendconfigQueryRespVO;
import com.yc.ship.module.trade.controller.admin.smsSendconfig.vo.SmsSendconfigSaveReqVO;
import com.yc.ship.module.trade.dal.dataobject.smsSendconfig.SmsSendconfigDO;

import javax.validation.Valid;

/**
 * 短信发送配置 Service 接口
 *
 * @author 管理员
 */
public interface SmsSendconfigService {

    /**
     * 创建短信发送配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSmsSendconfig(@Valid SmsSendconfigSaveReqVO createReqVO);

    /**
     * 更新短信发送配置
     *
     * @param updateReqVO 更新信息
     */
    void updateSmsSendconfig(@Valid SmsSendconfigSaveReqVO updateReqVO);

    /**
     * 删除短信发送配置
     *
     * @param id 编号
     */
    void deleteSmsSendconfig(Long id);

    /**
     * 获得短信发送配置
     *
     * @param id 编号
     * @return 短信发送配置
     */
    SmsSendconfigDO getSmsSendconfig(Long id);

    void smsSendMsg(int type,Long id);

    /**
     * 获得短信发送配置分页
     *
     * @param pageReqVO 分页查询
     * @return 短信发送配置分页
     */
    PageResult<SmsSendconfigDO> getSmsSendconfigPage(SmsSendconfigPageReqVO pageReqVO);

    PageResult<SmsSendconfigQueryRespVO> querySendLogList(SmsSendconfigPageReqVO pageReqVO);

    void upSmsSendMsg(int type, String code, int day);
}